Bug 128343 - Can't Export Binary RPMs by themselves
Can't Export Binary RPMs by themselves
Product: Red Hat Developer Suite
Classification: Retired
Component: RPM Plug-in (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Rick Moseley
Depends On:
  Show dependency treegraph
Reported: 2004-07-21 18:34 EDT by Aaron Luchko
Modified: 2007-04-18 13:09 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-07-22 11:51:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Aaron Luchko 2004-07-21 18:34:31 EDT
Description of problem: Can't export a binary RPM by itself

Version-Release number of selected component (if applicable): 1.1.0-0

How reproducible:

Steps to Reproduce:
1. Open a new C project and import an RPM into it
2. Go Export > Source/Binary RPM
3. Increment the version or release number of your RPM and under
"Composite Export Type" ensure only "Export a binary RPM" is selected
and hit Finish
Actual results:
After a few moments an error window pops up (no details)

Expected results:
Your project should contain a Binary RPM.

Additional info:
Exporting Binary+Source and just Source works fine, I suspect the
problem is it wants to build the Binary from the source but can't find
it, if you generate the source first (by itself) then go to generate
the Binary by itself (same version & release number of course) it
works fine.
Comment 1 Rick Moseley 2004-07-22 11:51:19 EDT
The patch tag entered in the GUI was not being propogated to the RPM
export class if a source RPM was not created.  Added the lines to
RPMExportOperartion to propagate this as well as the changelog text.

Note You need to log in before you can comment on or make changes to this bug.